-- SVH_REPORT_DB.JUNO.MAESTRO_UA_CONTRATOS definition

-- Drop table

-- DROP TABLE SVH_REPORT_DB.JUNO.MAESTRO_UA_CONTRATOS;

CREATE TABLE JUNO.MAESTRO_UA_CONTRATOS (
	PERIODO varchar(6)   NULL,
	SOCIEDAD int NULL,
	UNIDAD_REGISTRAL float NULL,
	PROYECTO_IDENTIFICACION_PROYECTO varchar(30)   NULL,
	TIPO nvarchar(255)   NULL,
	INTERLOCUTOR_COMERCIAL varchar(15)   NULL,
	ADJ317_CODIGO_ACTIVO varchar(30)   NULL,
	CLAVE1 varchar(1)    NULL,
	CLAVE2 varchar(1)    NULL,
	CLAVE3 varchar(1)    NULL,
	CLAVE4 varchar(1)    NULL,
	ADJ365_ID_ARRENDATARIO varchar(16)   NULL,
	ADJ464_NOMBRE_ARRENDATARIO varchar(35)   NULL,
	ADJ173_ID_UNIDAD_ALQUILADA varchar(40)   NULL,
	ADJ174_FECHA_INICIO_CONTRATO_ALQUILER date NULL,
	ADJ175_FECHA_VENCIMIENTO_CONTRATO_ALQUILER date NULL,
	ADJ176_OPCION_RENOVACION varchar(1)    NULL,
	ADJ177_OPCION_COMPRA varchar(1)    NULL,
	ADJ465_IMPORTE_BRUTO_ANUAL decimal(38,2) NULL,
	OBJETO_ALQUILER float NULL,
	DESC_UNIDAD_REGISTRAL varchar(60)   NULL,
	UNIDAD_ECONOMICA float NULL,
	FECHA_INICIO_RELACION date NULL,
	FECHA_FIN_RELACION date NULL,
	ESTADO_ALQUILER varchar(12)    NULL,
	DESC_UNIDAD_ECONOMICA varchar(40)   NULL,
	CONTRATO float NULL,
	FECHA_HASTA_CONTRATO date NULL,
	CLASE_CONTRATO int NULL,
	DESC_CLASE_CONTRATO varchar(40)   NULL,
	FECHA_ALTA_CONTRATO date NULL,
	FECHA_BAJA_CONTRATO_ALQUILER date NULL,
	RESCISION_ESTIMADA date NULL,
	MOTIVO_RESCISION varchar(2)   NULL,
	DESC_MOTIVO_RESCISION varchar(60)   NULL,
	RESCISION date NULL,
	TIPO_INMUEBLE varchar(2)   NULL,
	DESC_TIPO_INMUEBLE varchar(40)   NULL,
	CLASE_USO_UA varchar(4)   NULL,
	DESC_CLASE_USO_UA varchar(20)   NULL,
	ESTADO_DOCUMENTO_WF varchar(4)   NULL,
	CLASE_USO_AGRUPADO varchar(11)   NULL,
	UAS_RESIDENCIAL int  NULL,
	UAS_OFICINAS int  NULL,
	UAS_LOCALES int  NULL,
	UAS_INDUSTRIAL int  NULL,
	UAS_HOTEL int  NULL,
	UAS_PARKING int  NULL,
	UAS_TRASTERO int  NULL,
	UAS_OTROS int  NULL,
	SUPERFICIE_REAL_ALQUILADA decimal(18,4) NULL,
	ADJ178_FIANZA_RECIBIDA float  NULL,
	ADJ179_CANTIDADES_RECIBIDAS float  NULL,
	ADJ466_COSTES_IMPUTABLES_INQUILINOS float NULL,
	ADJ180_ALQUILERES_VENCIDOS_PENDIENTES float  NULL,
	USR004_CODIGO_ACTIVO varchar(40) NULL,
	IMPORTE_NETO_MES decimal(15, 2) NULL,
    IND_FIANZA_RECIBIDA VARCHAR(1) NULL
);